com.icesoft.faces.context.effects

## Class Squish

- java.lang.Object
- - com.icesoft.faces.context.effects.Effect
  - - com.icesoft.faces.context.effects.Squish

- All Implemented Interfaces:
    java.io.Serializable

      public class Squish
      extends Effect

  script.aculo.us squish effect Squish an elmenet to nothing
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.context.effects.Effect

      `ea`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Squish()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getFunctionName()` get the name of the Function call to invoke the effect

    - ### Methods inherited from class com.icesoft.faces.context.effects.Effect

      `getDelay, getDuration, getFps, getFrom, getId, getIntfromString, getQueue, getSequence, getSequenceId, getTo, hashCode, isFired, isQueued, isQueueEnd, isSubmit, isSync, isTransitory, setDelay, setDuration, setFired, setFps, setFrom, setId, setOptions, setQueue, setQueued, setQueueEnd, setSequence, setSequenceId, setSubmit, setSync, setTo, setTransitory, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Squish

          public Squish()

  - ### Method Detail

    - #### getFunctionName

          public java.lang.String getFunctionName()

      Description copied from class: `Effect`
      get the name of the Function call to invoke the effect
      Specified by:
        `getFunctionName` in class `Effect`
      Returns:

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `Effect`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.